from django.test import TestCase

from gestion.tests import create_profile

from .models import BdsProfile

class TestBdsProfile(TestCase):
    def test_profile(self):
        # each bdspofile should have an associated profile
        p = create_profile('foo')
        bdsp = BdsProfile.objects.create(profile=p)
        self.assertEqual(p.bds, bdsp)
