# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations


def create_cof_group(apps, schema_editor):
    Group = apps.get_model("auth", "Group")
    Group.objects.get_or_create(name="cof_members")


def create_buro_group(apps, schema_editor):
    Group = apps.get_model("auth", "Group")
    Group.objects.get_or_create(name="cof_buro")


class Migration(migrations.Migration):

    dependencies = [
        ('cof', '0009_generic_profiles'),
    ]

    operations = [
        migrations.RunPython(create_cof_group, migrations.RunPython.noop),
        migrations.RunPython(create_buro_group, migrations.RunPython.noop),
    ]
