from django.contrib.sites.models import Site


def context_processor(request):
    '''Append extra data to the context of the given request'''
    data = {
        "user": request.user,
        "site": Site.objects.get_current(),
    }
    return data
